apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: pipelinerun-limit
spec:
  pipelineSpec:
    tasks:
      - name: memory-intensive-task
        taskSpec:
          steps:
            - name: process-data
              image: registry.access.redhat.com/ubi9/ubi
              script: |
                echo "Starting memory-intensive processing..."
                # This will cause OOMKill due to excessive memory usage
                python3 -c "
                import time
                data = []
                for i in range(1000000):
                    data.append('x' * 1024 * 1024)  # Allocate 1MB chunks
                    time.sleep(0.1)
                "
              resources:
                requests:
                  memory: "64Mi"
                limits:
                  memory: "128Mi"
